> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke token

> Revokes a previously issued token. After revocation, the token can no longer be used to authenticate API requests.



## OpenAPI

````yaml /openapi/authentication.json post /oauth/revoke
openapi: 3.0.3
info:
  title: Authentication
  description: Authentication
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api
  - url: https://api.findity.com/api
security:
  - bearerAuth: []
paths:
  /oauth/revoke:
    post:
      tags:
        - Token
      summary: Revoke token
      description: >-
        Revokes a previously issued token. After revocation, the token can no
        longer be used to authenticate API requests.
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/oauth-revoke-request'
            example:
              token: >-
                7e35f8f6f0f059266577a8f25a74c9b4a0b66c66b0655b710eabc34b5797eec0588c41bbe26e63097beaf4269f22bab5d51244320dd973be8d07ace4220ebb7b
              token_hint: access_token
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/oauth-revoke-response'
              example: {}
      security: []
components:
  schemas:
    oauth-revoke-request:
      type: object
      properties:
        token:
          type: string
          description: >-
            The token to revoke. Can be either an access token or a refresh
            token.
        token_type_hint:
          type: string
          enum:
            - access_token
            - refresh_token
          description: >-
            Optional hint about the type of the token being revoked. If omitted,
            the server will attempt to revoke the token as both an access token
            and a refresh token.
      example:
        token: >-
          7e35f8f6f0f059266577a8f25a74c9b4a0b66c66b0655b710eabc34b5797eec0588c41bbe26e63097beaf4269f22bab5d51244320dd973be8d07ace4220ebb7b
        token_hint: access_token
    oauth-revoke-response:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````